Subject: Tron and GP

From: [email-masked] (Mattias Fagerlund)
Date: Fri, 24 Jul 1998 14:16:57 +0200

Hi!

I just read (part of, I'll read the rest this evening) your paper
"Coev. Arms Races..." = CS-97-197.

I heard somewhere that you might have updated your function and terminal
sets lately (as in since the paper)- is this true? What changes were
made, could I have a rundown if so?

My questions are these; 

How come you didn't include a "progn" function in the funciton set?
I would have thought this would improve the ability to create
complex strategies?
Perhaps some form of "loop" construct would also have been interesting?

Also, when I (or presumably any human player) plays tron, he
tries to keep track of the _head_ of the opposition, the motorcycle,
as it were. Did you attempt to grant your programs knowledge of
the position of the opposing tron-cycle? I don't really know how that
would be done, perhaps another set of sensors, indicating their
distance from the tron-cycle?

Very interesting experiment, none the less!

Mattias, GP enthusiast

***********************************************************************

"My eyes have been so red
  I've been mistaken for dead
  but not tonight" / Depeche Mode

[email-masked] = Mattias Fagerlund 
My evolutionary art: www.acacia.se/Mattias/EvolArt